SDL_HINT_VIDEO_DRIVER(3)

NAME
SDL_HINT_VIDEO_DRIVER - A variable that specifies a video backend to use.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_VIDEO_DRIVER SDL_VIDEO_DRIVER"

DESCRIPTION
By default, SDL will try all available video backends in a reasonable order until it finds one that can work, but this hint allows the app or user to force a specific target, such as "x11" if, say, you are on Wayland but want to try talking to the X server instead. This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.0.0.